Package org.eclipse.e4.ui.model.application.ui.basic

## Interface MWindow

All Superinterfaces:
  `MApplicationElement`, `MBindings`, `MContext`, `MElementContainer<MWindowElement>`, `MHandlerContainer`, `MLocalizable`, `MSnippetContainer`, `MUIElement`, `MUILabel`

All Known Subinterfaces:
  `MDialog`, `MTrimmedWindow`, `MWizardDialog`

    public interface MWindow
    extends MElementContainer<MWindowElement>, MUILabel, MContext, MHandlerContainer, MBindings, MSnippetContainer

A representation of the model object 'Window'.

This is the concrete class representing a bare bones window in the UI Model. Unless specifically desired it's likely better to use the TrimmedWindow instead.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Main Menu`
  - `X`
  - `Y`
  - `Width`
  - `Height`
  - `Windows`
  - `Shared Elements`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getHeight()` Returns the value of the 'Height' attribute.
`MMenu` `getMainMenu()` Returns the value of the 'Main Menu' containment reference.
`List<MUIElement>` `getSharedElements()` Returns the value of the 'Shared Elements' containment reference list.
`int` `getWidth()` Returns the value of the 'Width' attribute.
`List<MWindow>` `getWindows()` Returns the value of the 'Windows' containment reference list.
`int` `getX()` Returns the value of the 'X' attribute.
`int` `getY()` Returns the value of the 'Y' attribute.
`boolean` `isSetHeight()` Returns whether the value of the '`Height`' attribute is set.
`boolean` `isSetWidth()` Returns whether the value of the '`Width`' attribute is set.
`boolean` `isSetX()` Returns whether the value of the '`X`' attribute is set.
`boolean` `isSetY()` Returns whether the value of the '`Y`' attribute is set.
`void` `setHeight​(int value)` Sets the value of the '`Height`' attribute.
`void` `setMainMenu​(MMenu value)` Sets the value of the '`Main Menu`' containment reference.
`void` `setWidth​(int value)` Sets the value of the '`Width`' attribute.
`void` `setX​(int value)` Sets the value of the '`X`' attribute.
`void` `setY​(int value)` Sets the value of the '`Y`' attribute.
`void` `unsetHeight()` Unsets the value of the '`Height`' attribute.
`void` `unsetWidth()` Unsets the value of the '`Width`' attribute.
`void` `unsetX()` Unsets the value of the '`X`' attribute.
`void` `unsetY()` Unsets the value of the '`Y`' attribute.

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.commands.MBindings

`getBindingContexts`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MContext

`getContext, getProperties, getVariables, setContext`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.commands.MHandlerContainer

`getHandlers`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MSnippetContainer

`getSnippets`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`

### Method Detail

#### getMainMenu

    MMenu getMainMenu()

Returns the value of the 'Main Menu' containment reference.

The main menu (if any) for this window.

Returns:
  the value of the 'Main Menu' containment reference.
See Also:
  `setMainMenu(MMenu)`

#### setMainMenu

    void setMainMenu​(MMenu value)

Sets the value of the '`Main Menu`' containment reference.

Parameters:
  `value` - the new value of the 'Main Menu' containment reference.
See Also:
  `getMainMenu()`

#### getX

    int getX()

Returns the value of the 'X' attribute. The default value is `"-2147483648"`.

The 'X' position of this window

Returns:
  the value of the 'X' attribute.
See Also:
  `isSetX()`, `unsetX()`, `setX(int)`

#### setX

    void setX​(int value)

Sets the value of the '`X`' attribute.

Parameters:
  `value` - the new value of the 'X' attribute.
See Also:
  `isSetX()`, `unsetX()`, `getX()`

#### unsetX

    void unsetX()

Unsets the value of the '`X`' attribute.

Since:
  2.2
See Also:
  `isSetX()`, `getX()`, `setX(int)`

#### isSetX

    boolean isSetX()

Returns whether the value of the '`X`' attribute is set.

Returns:
  whether the value of the 'X' attribute is set.
Since:
  2.2
See Also:
  `unsetX()`, `getX()`, `setX(int)`

#### getY

    int getY()

Returns the value of the 'Y' attribute. The default value is `"-2147483648"`.

The 'Y' position of this window

Returns:
  the value of the 'Y' attribute.
See Also:
  `isSetY()`, `unsetY()`, `setY(int)`

#### setY

    void setY​(int value)

Sets the value of the '`Y`' attribute.

Parameters:
  `value` - the new value of the 'Y' attribute.
See Also:
  `isSetY()`, `unsetY()`, `getY()`

#### unsetY

    void unsetY()

Unsets the value of the '`Y`' attribute.

Since:
  2.2
See Also:
  `isSetY()`, `getY()`, `setY(int)`

#### isSetY

    boolean isSetY()

Returns whether the value of the '`Y`' attribute is set.

Returns:
  whether the value of the 'Y' attribute is set.
Since:
  2.2
See Also:
  `unsetY()`, `getY()`, `setY(int)`

#### getWidth

    int getWidth()

Returns the value of the 'Width' attribute. The default value is `"-1"`.

The width of this window

Returns:
  the value of the 'Width' attribute.
See Also:
  `isSetWidth()`, `unsetWidth()`, `setWidth(int)`

#### setWidth

    void setWidth​(int value)

Sets the value of the '`Width`' attribute.

Parameters:
  `value` - the new value of the 'Width' attribute.
See Also:
  `isSetWidth()`, `unsetWidth()`, `getWidth()`

#### unsetWidth

    void unsetWidth()

Unsets the value of the '`Width`' attribute.

Since:
  2.2
See Also:
  `isSetWidth()`, `getWidth()`, `setWidth(int)`

#### isSetWidth

    boolean isSetWidth()

Returns whether the value of the '`Width`' attribute is set.

Returns:
  whether the value of the 'Width' attribute is set.
Since:
  2.2
See Also:
  `unsetWidth()`, `getWidth()`, `setWidth(int)`

#### getHeight

    int getHeight()

Returns the value of the 'Height' attribute. The default value is `"-1"`.

The heigfht of this window

Returns:
  the value of the 'Height' attribute.
See Also:
  `isSetHeight()`, `unsetHeight()`, `setHeight(int)`

#### setHeight

    void setHeight​(int value)

Sets the value of the '`Height`' attribute.

Parameters:
  `value` - the new value of the 'Height' attribute.
See Also:
  `isSetHeight()`, `unsetHeight()`, `getHeight()`

#### unsetHeight

    void unsetHeight()

Unsets the value of the '`Height`' attribute.

Since:
  2.2
See Also:
  `isSetHeight()`, `getHeight()`, `setHeight(int)`

#### isSetHeight

    boolean isSetHeight()

Returns whether the value of the '`Height`' attribute is set.

Returns:
  whether the value of the 'Height' attribute is set.
Since:
  2.2
See Also:
  `unsetHeight()`, `getHeight()`, `setHeight(int)`

#### getWindows

    List<MWindow> getWindows()

Returns the value of the 'Windows' containment reference list. The list contents are of type `MWindow`.

The collection of 'Detached' windows associated with this window.

Returns:
  the value of the 'Windows' containment reference list.

#### getSharedElements

    List<MUIElement> getSharedElements()

Returns the value of the 'Shared Elements' containment reference list. The list contents are of type `MUIElement`.

This is the collection of UI Elements that are referenced by Placeholders, allowing the re-use of these elements in different Perspectives.

Returns:
  the value of the 'Shared Elements' containment reference list.